View Issue Details

IDProjectCategoryView StatusLast Update
0034222FPCCompilerpublic2018-09-16 17:29
Reporter440bxAssigned ToFlorian 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
PlatformOSWindows 64bitOS Version7
Product Version3.0.4Product Build 
Target VersionFixed in Version3.3.1 
Summary0034222: specifying -Amasm produces internal error 200704253
DescriptionWhen asking the compiler to produce a Masm (ml64) assembly file, it produces internal error 200704253
Steps To ReproduceSpecify the following compiler switches:

-al
-sh
-st
-Amasm
TagsNo tags attached.
Fixed in Revision39761
FPCOldBugId
FPCTarget
Attached Files

Activities

440bx

2018-09-06 17:29

reporter  

32_masmoutput.7z (1,318 bytes)

440bx

2018-09-06 17:30

reporter   ~0110542

Uploaded a simple program that exhibits the problem.

Florian

2018-09-16 17:29

administrator   ~0110801

Please note, the bug is exposed only with -g, -g with masm however is unlikely to work.

Issue History

Date Modified Username Field Change
2018-09-04 23:53 440bx New Issue
2018-09-06 17:29 440bx File Added: 32_masmoutput.7z
2018-09-06 17:30 440bx Note Added: 0110542
2018-09-16 17:29 Florian Fixed in Revision => 39761
2018-09-16 17:29 Florian Note Added: 0110801
2018-09-16 17:29 Florian Status new => resolved
2018-09-16 17:29 Florian Fixed in Version => 3.3.1
2018-09-16 17:29 Florian Resolution open => fixed
2018-09-16 17:29 Florian Assigned To => Florian